# AX_ANALYSES_SELECTION
# -----------------
# Check for analyses compilation
AC_DEFUN([AX_ANALYSES_SELECTION],
			[
	dnl with-AdjointBalancethickness{{{
	AC_ARG_WITH([AdjointBalancethickness],
		AS_HELP_STRING([--with-AdjointBalancethickness = YES], [compile with AdjointBalancethickness capabilities (default is yes)]),
		[ADJOINTBALANCETHICKNESS=$withval],[ADJOINTBALANCETHICKNESS=yes]) 
	AC_MSG_CHECKING(for AdjointBalancethickness capability compilation)

	HAVE_ADJOINTBALANCETHICKNESS=no
	if test "x$ADJOINTBALANCETHICKNESS" = "xyes"; then
		HAVE_ADJOINTBALANCETHICKNESS=yes
		AC_DEFINE([_HAVE_ADJOINTBALANCETHICKNESS_],[1],[with AdjointBalancethickness capability])
	fi
	AM_CONDITIONAL([ADJOINTBALANCETHICKNESS], [test x$HAVE_ADJOINTBALANCETHICKNESS = xyes])
	AC_MSG_RESULT($HAVE_ADJOINTBALANCETHICKNESS)
	dnl }}}
	dnl with-AdjointHoriz{{{
	AC_ARG_WITH([AdjointHoriz],
		AS_HELP_STRING([--with-AdjointHoriz = YES], [compile with AdjointHoriz capabilities (default is yes)]),
		[ADJOINTHORIZ=$withval],[ADJOINTHORIZ=yes]) 
	AC_MSG_CHECKING(for AdjointHoriz capability compilation)

	HAVE_ADJOINTHORIZ=no
	if test "x$ADJOINTHORIZ" = "xyes"; then
		HAVE_ADJOINTHORIZ=yes
		AC_DEFINE([_HAVE_ADJOINTHORIZ_],[1],[with AdjointHoriz capability])
	fi
	AM_CONDITIONAL([ADJOINTHORIZ], [test x$HAVE_ADJOINTHORIZ = xyes])
	AC_MSG_RESULT($HAVE_ADJOINTHORIZ)
	dnl }}}
	dnl with-Balancethickness{{{
	AC_ARG_WITH([Balancethickness],
		AS_HELP_STRING([--with-Balancethickness = YES], [compile with Balancethickness capabilities (default is yes)]),
		[BALANCETHICKNESS=$withval],[BALANCETHICKNESS=yes]) 
	AC_MSG_CHECKING(for Balancethickness capability compilation)

	HAVE_BALANCETHICKNESS=no
	if test "x$BALANCETHICKNESS" = "xyes"; then
		HAVE_BALANCETHICKNESS=yes
		AC_DEFINE([_HAVE_BALANCETHICKNESS_],[1],[with Balancethickness capability])
	fi
	AM_CONDITIONAL([BALANCETHICKNESS], [test x$HAVE_BALANCETHICKNESS = xyes])
	AC_MSG_RESULT($HAVE_BALANCETHICKNESS)
	dnl }}}
	dnl with-BalancethicknessSoft{{{
	AC_ARG_WITH([BalancethicknessSoft],
		AS_HELP_STRING([--with-BalancethicknessSoft = YES], [compile with BalancethicknessSoft capabilities (default is yes)]),
		[BALANCETHICKNESSSOFT=$withval],[BALANCETHICKNESSSOFT=yes]) 
	AC_MSG_CHECKING(for BalancethicknessSoft capability compilation)

	HAVE_BALANCETHICKNESSSOFT=no
	if test "x$BALANCETHICKNESSSOFT" = "xyes"; then
		HAVE_BALANCETHICKNESSSOFT=yes
		AC_DEFINE([_HAVE_BALANCETHICKNESSSOFT_],[1],[with BalancethicknessSoft capability])
	fi
	AM_CONDITIONAL([BALANCETHICKNESSSOFT], [test x$HAVE_BALANCETHICKNESSSOFT = xyes])
	AC_MSG_RESULT($HAVE_BALANCETHICKNESSSOFT)
	dnl }}}
	dnl with-Balancevelocity{{{
	AC_ARG_WITH([Balancevelocity],
		AS_HELP_STRING([--with-Balancevelocity = YES], [compile with Balancevelocity capabilities (default is yes)]),
		[BALANCEVELOCITY=$withval],[BALANCEVELOCITY=yes]) 
	AC_MSG_CHECKING(for Balancevelocity capability compilation)

	HAVE_BALANCEVELOCITY=no
	if test "x$BALANCEVELOCITY" = "xyes"; then
		HAVE_BALANCEVELOCITY=yes
		AC_DEFINE([_HAVE_BALANCEVELOCITY_],[1],[with Balancevelocity capability])
	fi
	AM_CONDITIONAL([BALANCEVELOCITY], [test x$HAVE_BALANCEVELOCITY = xyes])
	AC_MSG_RESULT($HAVE_BALANCEVELOCITY)
	dnl }}}
	dnl with-L2ProjectionEPL{{{
	AC_ARG_WITH([L2ProjectionEPL],
		AS_HELP_STRING([--with-L2ProjectionEPL = YES], [compile with L2ProjectionEPL capabilities (default is yes)]),
		[L2PROJECTIONEPL=$withval],[L2PROJECTIONEPL=yes]) 
	AC_MSG_CHECKING(for L2ProjectionEPL capability compilation)

	HAVE_L2PROJECTIONEPL=no
	if test "x$L2PROJECTIONEPL" = "xyes"; then
		HAVE_L2PROJECTIONEPL=yes
		AC_DEFINE([_HAVE_L2PROJECTIONEPL_],[1],[with L2ProjectionEPL capability])
	fi
	AM_CONDITIONAL([L2PROJECTIONEPL], [test x$HAVE_L2PROJECTIONEPL = xyes])
	AC_MSG_RESULT($HAVE_L2PROJECTIONEPL)
	dnl }}}
	dnl with-L2ProjectionBase{{{
	AC_ARG_WITH([L2ProjectionBase],
		AS_HELP_STRING([--with-L2ProjectionBase = YES], [compile with L2ProjectionBase capabilities (default is yes)]),
		[L2PROJECTIONBASE=$withval],[L2PROJECTIONBASE=yes]) 
	AC_MSG_CHECKING(for L2ProjectionBase capability compilation)

	HAVE_L2PROJECTIONBASE=no
	if test "x$L2PROJECTIONBASE" = "xyes"; then
		HAVE_L2PROJECTIONBASE=yes
		AC_DEFINE([_HAVE_L2PROJECTIONBASE_],[1],[with L2ProjectionBase capability])
	fi
	AM_CONDITIONAL([L2PROJECTIONBASE], [test x$HAVE_L2PROJECTIONBASE = xyes])
	AC_MSG_RESULT($HAVE_L2PROJECTIONBASE)
	dnl }}}
	dnl with-DamageEvolution{{{
	AC_ARG_WITH([DamageEvolution],
		AS_HELP_STRING([--with-DamageEvolution = YES], [compile with DamageEvolution capabilities (default is yes)]),
		[DAMAGEEVOLUTION=$withval],[DAMAGEEVOLUTION=yes]) 
	AC_MSG_CHECKING(for DamageEvolution capability compilation)

	HAVE_DAMAGEEVOLUTION=no
	if test "x$DAMAGEEVOLUTION" = "xyes"; then
		HAVE_DAMAGEEVOLUTION=yes
		AC_DEFINE([_HAVE_DAMAGEEVOLUTION_],[1],[with DamageEvolution capability])
	fi
	AM_CONDITIONAL([DAMAGEEVOLUTION], [test x$HAVE_DAMAGEEVOLUTION = xyes])
	AC_MSG_RESULT($HAVE_DAMAGEEVOLUTION)
	dnl }}}
	dnl with-DepthAverage{{{
	AC_ARG_WITH([DepthAverage],
		AS_HELP_STRING([--with-DepthAverage = YES], [compile with DepthAverage capabilities (default is yes)]),
		[DEPTHAVERAGE=$withval],[DEPTHAVERAGE=yes]) 
	AC_MSG_CHECKING(for DepthAverage capability compilation)

	HAVE_DEPTHAVERAGE=no
	if test "x$DEPTHAVERAGE" = "xyes"; then
		HAVE_DEPTHAVERAGE=yes
		AC_DEFINE([_HAVE_DEPTHAVERAGE_],[1],[with DepthAverage capability])
	fi
	AM_CONDITIONAL([DEPTHAVERAGE], [test x$HAVE_DEPTHAVERAGE = xyes])
	AC_MSG_RESULT($HAVE_DEPTHAVERAGE)
	dnl }}}
	dnl with-stressbalance{{{
	AC_ARG_WITH([stressbalance],
		AS_HELP_STRING([--with-stressbalance = YES], [compile with stressbalance capabilities (default is yes)]),
		[STRESSBALANCE=$withval],[STRESSBALANCE=yes]) 
	AC_MSG_CHECKING(for stressbalance capability compilation)

	HAVE_STRESSBALANCE=no
	if test "x$STRESSBALANCE" = "xyes"; then
		HAVE_STRESSBALANCE=yes
		AC_DEFINE([_HAVE_STRESSBALANCE_],[1],[with stressbalance capability])
	fi
	AM_CONDITIONAL([STRESSBALANCE], [test x$HAVE_STRESSBALANCE = xyes])
	AC_MSG_RESULT($HAVE_STRESSBALANCE)
	dnl }}}
	dnl with-stressbalanceSIA{{{
		AC_ARG_WITH([stressbalanceSIA],
					AS_HELP_STRING([--with-stressbalanceSIA = YES], [compile with stressbalanceSIA capabilities (default is yes)]),
					[STRESSBALANCESIA=$withval],[STRESSBALANCESIA=yes]) 
		  AC_MSG_CHECKING(for stressbalanceSIA capability compilation)

		  HAVE_STRESSBALANCESIA=no
		  if test "x$STRESSBALANCESIA" = "xyes"; then
			HAVE_STRESSBALANCESIA=yes
			  AC_DEFINE([_HAVE_STRESSBALANCESIA_],[1],[with stressbalanceSIA capability])
			  fi
			  AM_CONDITIONAL([STRESSBALANCESIA], [test x$HAVE_STRESSBALANCESIA = xyes])
			  AC_MSG_RESULT($HAVE_STRESSBALANCESIA)
			  dnl }}}
	dnl with-StressbalanceVertical{{{
	AC_ARG_WITH([StressbalanceVertical],
		AS_HELP_STRING([--with-StressbalanceVertical = YES], [compile with StressbalanceVertical capabilities (default is yes)]),
		[STRESSBALANCEVERTICAL=$withval],[STRESSBALANCEVERTICAL=yes]) 
	AC_MSG_CHECKING(for StressbalanceVertical capability compilation)

	HAVE_STRESSBALANCEVERTICAL=no
	if test "x$STRESSBALANCEVERTICAL" = "xyes"; then
		HAVE_STRESSBALANCEVERTICAL=yes
		AC_DEFINE([_HAVE_STRESSBALANCEVERTICAL_],[1],[with StressbalanceVertical capability])
	fi
	AM_CONDITIONAL([STRESSBALANCEVERTICAL], [test x$HAVE_STRESSBALANCEVERTICAL = xyes])
	AC_MSG_RESULT($HAVE_STRESSBALANCEVERTICAL)
	dnl }}}
	dnl with-Enthalpy{{{
	AC_ARG_WITH([Enthalpy],
		AS_HELP_STRING([--with-Enthalpy = YES], [compile with Enthalpy capabilities (default is yes)]),
		[ENTHALPY=$withval],[ENTHALPY=yes]) 
	AC_MSG_CHECKING(for Enthalpy capability compilation)

	HAVE_ENTHALPY=no
	if test "x$ENTHALPY" = "xyes"; then
		HAVE_ENTHALPY=yes
		AC_DEFINE([_HAVE_ENTHALPY_],[1],[with Enthalpy capability])
	fi
	AM_CONDITIONAL([ENTHALPY], [test x$HAVE_ENTHALPY = xyes])
	AC_MSG_RESULT($HAVE_ENTHALPY)
	dnl }}}
	dnl with-HydrologyShreve{{{
	AC_ARG_WITH([HydrologyShreve],
		AS_HELP_STRING([--with-HydrologyShreve = YES], [compile with HydrologyShreve capabilities (default is yes)]),
		[HYDROLOGYSHREVE=$withval],[HYDROLOGYSHREVE=yes]) 
	AC_MSG_CHECKING(for HydrologyShreve capability compilation)

	HAVE_HYDROLOGYSHREVE=no
	if test "x$HYDROLOGYSHREVE" = "xyes"; then
		HAVE_HYDROLOGYSHREVE=yes
		AC_DEFINE([_HAVE_HYDROLOGYSHREVE_],[1],[with HydrologyShreve capability])
	fi
	AM_CONDITIONAL([HYDROLOGYSHREVE], [test x$HAVE_HYDROLOGYSHREVE = xyes])
	AC_MSG_RESULT($HAVE_HYDROLOGYSHREVE)
	dnl }}}
	dnl with-HydrologyDCInefficient{{{
	AC_ARG_WITH([HydrologyDCInefficient],
		AS_HELP_STRING([--with-HydrologyDCInefficient = YES], [compile with HydrologyDCInefficient capabilities (default is yes)]),
		[HYDROLOGYDCINEFFICIENT=$withval],[HYDROLOGYDCINEFFICIENT=yes]) 
	AC_MSG_CHECKING(for HydrologyDCInefficient capability compilation)

	HAVE_HYDROLOGYDCINEFFICIENT=no
	if test "x$HYDROLOGYDCINEFFICIENT" = "xyes"; then
		HAVE_HYDROLOGYDCINEFFICIENT=yes
		AC_DEFINE([_HAVE_HYDROLOGYDCINEFFICIENT_],[1],[with HydrologyDCInefficient capability])
	fi
	AM_CONDITIONAL([HYDROLOGYDCINEFFICIENT], [test x$HAVE_HYDROLOGYDCINEFFICIENT = xyes])
	AC_MSG_RESULT($HAVE_HYDROLOGYDCINEFFICIENT)
	dnl }}}
	dnl with-HydrologyDCEfficient{{{
	AC_ARG_WITH([HydrologyDCEfficient],
		AS_HELP_STRING([--with-HydrologyDCEfficient = YES], [compile with HydrologyDCEfficient capabilities (default is yes)]),
		[HYDROLOGYDCEFFICIENT=$withval],[HYDROLOGYDCEFFICIENT=yes]) 
	AC_MSG_CHECKING(for HydrologyDCEfficient capability compilation)

	HAVE_HYDROLOGYDCEFFICIENT=no
	if test "x$HYDROLOGYDCEFFICIENT" = "xyes"; then
		HAVE_HYDROLOGYDCEFFICIENT=yes
		AC_DEFINE([_HAVE_HYDROLOGYDCEFFICIENT_],[1],[with HydrologyDCEfficient capability])
	fi
	AM_CONDITIONAL([HYDROLOGYDCEFFICIENT], [test x$HAVE_HYDROLOGYDCEFFICIENT = xyes])
	AC_MSG_RESULT($HAVE_HYDROLOGYDCEFFICIENT)
	dnl }}}
	dnl with-Melting{{{
	AC_ARG_WITH([Melting],
		AS_HELP_STRING([--with-Melting = YES], [compile with Melting capabilities (default is yes)]),
		[MELTING=$withval],[MELTING=yes]) 
	AC_MSG_CHECKING(for Melting capability compilation)

	HAVE_MELTING=no
	if test "x$MELTING" = "xyes"; then
		HAVE_MELTING=yes
		AC_DEFINE([_HAVE_MELTING_],[1],[with Melting capability])
	fi
	AM_CONDITIONAL([MELTING], [test x$HAVE_MELTING = xyes])
	AC_MSG_RESULT($HAVE_MELTING)
	dnl }}}
	dnl with-Masstransport{{{
	AC_ARG_WITH([Masstransport],
		AS_HELP_STRING([--with-Masstransport = YES], [compile with Masstransport capabilities (default is yes)]),
		[MASSTRANSPORT=$withval],[MASSTRANSPORT=yes]) 
	AC_MSG_CHECKING(for Masstransport capability compilation)

	HAVE_MASSTRANSPORT=no
	if test "x$MASSTRANSPORT" = "xyes"; then
		HAVE_MASSTRANSPORT=yes
		AC_DEFINE([_HAVE_MASSTRANSPORT_],[1],[with Masstransport capability])
	fi
	AM_CONDITIONAL([MASSTRANSPORT], [test x$HAVE_MASSTRANSPORT = xyes])
	AC_MSG_RESULT($HAVE_MASSTRANSPORT)
	dnl }}}
	dnl with-FreeSurfaceBase{{{
	AC_ARG_WITH([FreeSurfaceBase],
		AS_HELP_STRING([--with-FreeSurfaceBase = YES], [compile with FreeSurfaceBase capabilities (default is yes)]),
		[FREESURFACEBASE=$withval],[FREESURFACEBASE=yes]) 
	AC_MSG_CHECKING(for FreeSurfaceBase capability compilation)

	HAVE_FREESURFACEBASE=no
	if test "x$FREESURFACEBASE" = "xyes"; then
		HAVE_FREESURFACEBASE=yes
		AC_DEFINE([_HAVE_FREESURFACEBASE_],[1],[with FreeSurfaceBase capability])
	fi
	AM_CONDITIONAL([FREESURFACEBASE], [test x$HAVE_FREESURFACEBASE = xyes])
	AC_MSG_RESULT($HAVE_FREESURFACEBASE)
	dnl }}}
	dnl with-FreeSurfaceTop{{{
		AC_ARG_WITH([FreeSurfaceTop],
					AS_HELP_STRING([--with-FreeSurfaceTop = YES], [compile with FreeSurfaceTop capabilities (default is yes)]),
					[FREESURFACETOP=$withval],[FREESURFACETOP=yes]) 
		  AC_MSG_CHECKING(for FreeSurfaceTop capability compilation)

		  HAVE_FREESURFACETOP=no
		  if test "x$FREESURFACETOP" = "xyes"; then
			HAVE_FREESURFACETOP=yes
			  AC_DEFINE([_HAVE_FREESURFACETOP_],[1],[with FreeSurfaceTop capability])
			  fi
			  AM_CONDITIONAL([FREESURFACETOP], [test x$HAVE_FREESURFACETOP = xyes])
			  AC_MSG_RESULT($HAVE_FREESURFACETOP)
			  dnl }}}
	dnl with-ExtrudeFromBase{{{
	AC_ARG_WITH([ExtrudeFromBase],
		AS_HELP_STRING([--with-ExtrudeFromBase = YES], [compile with ExtrudeFromBase capabilities (default is yes)]),
		[EXTRUDEFROMBASE=$withval],[EXTRUDEFROMBASE=yes]) 
	AC_MSG_CHECKING(for ExtrudeFromBase capability compilation)

	HAVE_EXTRUDEFROMBASE=no
	if test "x$EXTRUDEFROMBASE" = "xyes"; then
		HAVE_EXTRUDEFROMBASE=yes
		AC_DEFINE([_HAVE_EXTRUDEFROMBASE_],[1],[with ExtrudeFromBase capability])
	fi
	AM_CONDITIONAL([EXTRUDEFROMBASE], [test x$HAVE_EXTRUDEFROMBASE = xyes])
	AC_MSG_RESULT($HAVE_EXTRUDEFROMBASE)
	dnl }}}
	dnl with-ExtrudeFromTop{{{
		AC_ARG_WITH([ExtrudeFromTop],
					AS_HELP_STRING([--with-ExtrudeFromTop = YES], [compile with ExtrudeFromTop capabilities (default is yes)]),
					[EXTRUDEFROMTOP=$withval],[EXTRUDEFROMTOP=yes]) 
		  AC_MSG_CHECKING(for ExtrudeFromTop capability compilation)

		  HAVE_EXTRUDEFROMTOP=no
		  if test "x$EXTRUDEFROMTOP" = "xyes"; then
			HAVE_EXTRUDEFROMTOP=yes
			  AC_DEFINE([_HAVE_EXTRUDEFROMTOP_],[1],[with ExtrudeFromTop capability])
			  fi
			  AM_CONDITIONAL([EXTRUDEFROMTOP], [test x$HAVE_EXTRUDEFROMTOP = xyes])
			  AC_MSG_RESULT($HAVE_EXTRUDEFROMTOP)
			  dnl }}}
	dnl with-Thermal{{{
	AC_ARG_WITH([Thermal],
		AS_HELP_STRING([--with-Thermal = YES], [compile with Thermal capabilities (default is yes)]),
		[THERMAL=$withval],[THERMAL=yes]) 
	AC_MSG_CHECKING(for Thermal capability compilation)

	HAVE_THERMAL=no
	if test "x$THERMAL" = "xyes"; then
		HAVE_THERMAL=yes
		AC_DEFINE([_HAVE_THERMAL_],[1],[with Thermal capability])
	fi
	AM_CONDITIONAL([THERMAL], [test x$HAVE_THERMAL = xyes])
	AC_MSG_RESULT($HAVE_THERMAL)
	dnl }}}
	dnl with-SmoothedSurfaceSlopeX{{{
	AC_ARG_WITH([SmoothedSurfaceSlopeX],
		AS_HELP_STRING([--with-SmoothedSurfaceSlopeX = YES], [compile with SmoothedSurfaceSlopeX capabilities (default is yes)]),
		[SMOOTHEDSURFACESLOPEX=$withval],[SMOOTHEDSURFACESLOPEX=yes]) 
	AC_MSG_CHECKING(for SmoothedSurfaceSlopeX capability compilation)

	HAVE_SMOOTHEDSURFACESLOPEX=no
	if test "x$SMOOTHEDSURFACESLOPEX" = "xyes"; then
		HAVE_SMOOTHEDSURFACESLOPEX=yes
		AC_DEFINE([_HAVE_SMOOTHEDSURFACESLOPEX_],[1],[with SmoothedSurfaceSlopeX capability])
	fi
	AM_CONDITIONAL([SMOOTHEDSURFACESLOPEX], [test x$HAVE_SMOOTHEDSURFACESLOPEX = xyes])
	AC_MSG_RESULT($HAVE_SMOOTHEDSURFACESLOPEX)
	dnl }}}
	dnl with-SmoothedSurfaceSlopeY{{{
	AC_ARG_WITH([SmoothedSurfaceSlopeY],
		AS_HELP_STRING([--with-SmoothedSurfaceSlopeY = YES], [compile with SmoothedSurfaceSlopeY capabilities (default is yes)]),
		[SMOOTHEDSURFACESLOPEY=$withval],[SMOOTHEDSURFACESLOPEY=yes]) 
	AC_MSG_CHECKING(for SmoothedSurfaceSlopeY capability compilation)

	HAVE_SMOOTHEDSURFACESLOPEY=no
	if test "x$SMOOTHEDSURFACESLOPEY" = "xyes"; then
		HAVE_SMOOTHEDSURFACESLOPEY=yes
		AC_DEFINE([_HAVE_SMOOTHEDSURFACESLOPEY_],[1],[with SmoothedSurfaceSlopeY capability])
	fi
	AM_CONDITIONAL([SMOOTHEDSURFACESLOPEY], [test x$HAVE_SMOOTHEDSURFACESLOPEY = xyes])
	AC_MSG_RESULT($HAVE_SMOOTHEDSURFACESLOPEY)
	dnl }}}
	dnl with-Meshdeformation{{{
	AC_ARG_WITH([Meshdeformation],
		AS_HELP_STRING([--with-Meshdeformation = YES], [compile with Meshdeformation capabilities (default is yes)]),
		[MESHDEFORMATION=$withval],[MESHDEFORMATION=yes]) 
	AC_MSG_CHECKING(for Meshdeformation capability compilation)

	HAVE_MESHDEFORMATION=no
	if test "x$MESHDEFORMATION" = "xyes"; then
		HAVE_MESHDEFORMATION=yes
		AC_DEFINE([_HAVE_MESHDEFORMATION_],[1],[with Meshdeformation capability])
	fi
	AM_CONDITIONAL([MESHDEFORMATION], [test x$HAVE_MESHDEFORMATION = xyes])
	AC_MSG_RESULT($HAVE_MESHDEFORMATION)
	dnl }}}
	dnl with-Levelset{{{
	AC_ARG_WITH([Levelset],
		AS_HELP_STRING([--with-Levelset = YES], [compile with Levelset capabilities (default is yes)]),
		[LEVELSET=$withval],[LEVELSET=yes]) 
	AC_MSG_CHECKING(for Levelset capability compilation)

	HAVE_LEVELSET=no
	if test "x$LEVELSET" = "xyes"; then
		HAVE_LEVELSET=yes
		AC_DEFINE([_HAVE_LEVELSET_],[1],[with Levelset capability])
	fi
	AM_CONDITIONAL([LEVELSET], [test x$HAVE_LEVELSET = xyes])
	AC_MSG_RESULT($HAVE_LEVELSET)
	dnl }}}
	dnl with-Extrapolation{{{
	AC_ARG_WITH([Extrapolation],
		AS_HELP_STRING([--with-Extrapolation = YES], [compile with Extrapolation capabilities (default is yes)]),
		[EXTRAPOLATION=$withval],[EXTRAPOLATION=yes]) 
	AC_MSG_CHECKING(for Extrapolation capability compilation)

	HAVE_EXTRAPOLATION=no
	if test "x$EXTRAPOLATION" = "xyes"; then
		HAVE_EXTRAPOLATION=yes
		AC_DEFINE([_HAVE_EXTRAPOLATION_],[1],[with Extrapolation capability])
	fi
	AM_CONDITIONAL([EXTRAPOLATION], [test x$HAVE_EXTRAPOLATION = xyes])
	AC_MSG_RESULT($HAVE_EXTRAPOLATION)
	dnl }}}
	dnl with-LsfReinitialization{{{
	AC_ARG_WITH([LsfReinitialization],
		AS_HELP_STRING([--with-LsfReinitialization = YES], [compile with LsfReinitialization capabilities (default is yes)]),
		[LSFREINITIALIZATION=$withval],[LSFREINITIALIZATION=yes]) 
	AC_MSG_CHECKING(for LsfReinitialization capability compilation)

	HAVE_LSFREINITIALIZATION=no
	if test "x$LSFREINITIALIZATION" = "xyes"; then
		HAVE_LSFREINITIALIZATION=yes
		AC_DEFINE([_HAVE_LSFREINITIALIZATION_],[1],[with LsfReinitialization capability])
	fi
	AM_CONDITIONAL([LSFREINITIALIZATION], [test x$HAVE_LSFREINITIALIZATION = xyes])
	AC_MSG_RESULT($HAVE_LSFREINITIALIZATION)
	dnl }}}


])
